NAME
    atan2 - angle to point

SYNOPSIS
    atan2(y, x, [,eps])

TYPES
    y		real
    x		real
    eps		nonzero real, defaults to epsilon()

    return	real

DESCRIPTION
    If x and y are not both zero, atan2(y, x, eps) returns, as a multiple of
    eps with error less than abs(eps), the angle t such that
    -pi < t <= pi and x = r * cos(t), y = r * sin(t), where
    r > 0.  Usually the error does not exceed abs(eps)/2.

    Note that by convention, y is the first argument; if x > 0,
    atan2(y, x) = atan(y/x).

    To conform to the 4.3BSD ANSI/IEEE 754-1985 math lib, atan2(0,0)
    returns 0.

EXAMPLE
    ; print atan2(0,0), atan2(1,sqrt(3)), atan2(17,53,1e-100)
    0 ~.52359877559829887307 ~.31038740713235146535

LIMITS
    none

LINK LIBRARY
    NUMBER *qatan2(NUMBER *y, *x, *acc)

SEE ALSO
    acos, asin, atan, cos, epsilon, sin, tan

## Copyright (C) 1999  Landon Curt Noll
##
## Calc is open software; you can redistribute it and/or modify it under
## the terms of the version 2.1 of the GNU Lesser General Public License
## as published by the Free Software Foundation.
##
## Calc is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU Lesser General
## Public License for more details.
##
## A copy of version 2.1 of the GNU Lesser General Public License is
## distributed with calc under the filename COPYING-LGPL.  You should have
## received a copy with calc; if not, write to Free Software Foundation, Inc.
## 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
##
## Under source code control:	1994/03/19 01:40:26
## File existed as early as:	1994
##
## chongo <was here> /\oo/\	http://www.isthe.com/chongo/
## Share and enjoy!  :-)	http://www.isthe.com/chongo/tech/comp/calc/
